QGIS Application - Bug report #9708
Handle bad layers fails on a bad WMS layer
2014-03-04 04:37 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 18271

Description

When opening a QGIS project with missing/bad WMS layer, "handle bad layers" dialog offers to select a file(!) to fix the issue. The
provider is displayed as "none", although in .qgs file it is "wms". Offering a file open dialog to fix WMS issue isn't helpful at all. Together

with #8718 it makes opening such projects a real pain.
An ultimate solution should contain following options:

- offer a text edit option for the DSN (i.e. | would be happy to just right click on layer source and edlit it to replace old WMS server

address with a new one);

- use data provider dialog to point to the bad (missing) layer;

- offer an option to mark layer as "unavailable" (see #8718 for rationale).

Related issue dealing with importance of missing/bad layer handling enforcement: #7039

A variation of this issue but caused by changes in QGIS supported data providers: #4101

Tested with QGIS 302ad06 on GNU/Linux.

History

#1 - 2014-03-05 12:47 AM - Giovanni Manghi
- Target version set to Future Release - Nice to have

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

2025-04-27

1/1



http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

